### Function

# FwupdPlugin ChunkArray mutable_new

since: 1.5.6

#### Declaration [src]

    GPtrArray*
    fu_chunk_array_mutable_new (
      guint8* data,
      guint32 data_sz,
      guint32 addr_start,
      guint32 page_sz,
      guint32 packet_sz
    )

#### Description [src]

Chunks a mutable blob of memory into packets, ensuring each packet does not cross a package boundary and is less that a specific transfer size.

Available since: 1.5.6

#### Parameters

`data`

  Type: `guint8*`

  A mutable blob of memory.

  The data is owned by the caller of the function.

`data_sz`

  Type: `guint32`

  Size of `data_sz`.

`addr_start`

  Type: `guint32`

  The hardware address offset, or 0

`page_sz`

  Type: `guint32`

  The hardware page size, or 0

`packet_sz`

  Type: `guint32`

  The transfer size, or 0

#### Return value

Type: An array of `FuChunk*`

Array of packets.

The caller of the function takes ownership of the data container, but not the data inside it.